Add gettext to list of packages, cite why we need it and libglib2.0-dev.